<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>学校查询员</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {
			$("#loginName").focus();
			$("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
			$('#btnSubmit').click(function(){
				var p1 = $('#password-input').val();
				var p2 = $('#password2-input').val();
				if((p1!='' || p2!='') && p2!=p1){
					alert('两次密码输入不一致');
					return false;
				}else{
					return true;
				}
			});
		});
	</script>
</head>
<body>
	<form:form id="inputForm" modelAttribute="user" action="${ctx}/admin/sys/school/viewer/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<form:hidden path="schoolId"/>
		<tags:message content="${message}"/>
		<div class="control-group">
			<label class="control-label">帐号</label>
			<div class="controls">
				<form:input path="loginName" htmlEscape="false" maxlength="200" class="required"/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">名称</label>
			<div class="controls">
				<form:input path="name" htmlEscape="false" maxlength="200" class="required"/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">密码</label>
			<div class="controls">
				<input type="password" name="password" id="password-input"/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">重复输入</label>
			<div class="controls">
				<input type="password" id="password2-input"/>
			</div>
		</div>
		<div class="form-actions">
			<%-- <shiro:hasPermission name="exam:course:edit"> --%>
			<input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>&nbsp;
			<%-- </shiro:hasPermission> --%>
			<!-- <input id="btnCancel" class="btn" type="button" value="返 回" onclick="history.go(-1)"/> -->
		</div>
	</form:form>
</body>
</html>
